nxt.http.callers

## Class GetPollResultCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetPollResultCall>
  - - nxt.http.callers.GetPollResultCall

-     public class GetPollResultCall
      extends APICall.Builder<GetPollResultCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GetPollResultCall` | `create()`
    `GetPollResultCall` | `holding(long holding)`
    `GetPollResultCall` | `holding(java.lang.String holding)`
    `GetPollResultCall` | `minBalance(long minBalance)`
    `GetPollResultCall` | `minBalanceModel(byte minBalanceModel)`
    `GetPollResultCall` | `poll(long poll)`
    `GetPollResultCall` | `poll(java.lang.String poll)`
    `GetPollResultCall` | `requireBlock(java.lang.String requireBlock)`
    `GetPollResultCall` | `requireLastBlock(java.lang.String requireLastBlock)`
    `GetPollResultCall` | `votingModel(byte votingModel)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, secretPhrase, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetPollResultCall create()

    - #### requireLastBlock

          public GetPollResultCall requireLastBlock(java.lang.String requireLastBlock)

    - #### holding

          public GetPollResultCall holding(java.lang.String holding)

    - #### holding

          public GetPollResultCall holding(long holding)

    - #### minBalance

          public GetPollResultCall minBalance(long minBalance)

    - #### votingModel

          public GetPollResultCall votingModel(byte votingModel)

    - #### poll

          public GetPollResultCall poll(java.lang.String poll)

    - #### poll

          public GetPollResultCall poll(long poll)

    - #### minBalanceModel

          public GetPollResultCall minBalanceModel(byte minBalanceModel)

    - #### requireBlock

          public GetPollResultCall requireBlock(java.lang.String requireBlock)